Subject: bug#44128: [feature/native-comp]

From: Phil Sainty <[email-masked]>
Date: Thu, 15 Apr 2021 10:22:29 +1200

On 15/04/21 1:48 am, Andrea Corallo via Bug reports for GNU Emacs, the Swiss army knife of text editors wrote:
> I think this question got answered by Eli's comment on bug#46790 :)
> 
> I've pushed 0c1fc9d581 that seams to work for me, please have a try.

I now get this behaviour:

$ emacs-native-comp -Q
emacs: could not resolve realpath of "emacs-native-comp": No such file or directory

$ ls -l `which emacs-native-comp`
lrwxrwxrwx 1 phil phil 48 Apr 14 00:01 /home/phil/bin/emacs-native-comp -> /home/phil/emacs/native-comp/usr/local/bin/emacs

$ /home/phil/emacs/native-comp/usr/local/bin/emacs --version
GNU Emacs 28.0.50
Copyright (C) 2021 Free Software Foundation, Inc.
GNU Emacs comes with ABSOLUTELY NO WARRANTY.
You may redistribute copies of GNU Emacs
under the terms of the GNU General Public License.
For more information about these matters, see the file named COPYING.

$ emacs-native-comp --version
emacs: could not resolve realpath of "emacs-native-comp": No such file or directory